Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Is it just me or has it been way to long on firmware.

Discussion in 'Pro/Adv Discussion' started by wooglin, Oct 2, 2016.

  1. wooglin

    Joined:
    Dec 25, 2015
    Messages:
    133
    Likes Received:
    29
    Time for new firmware for the p3p and p3a that addresses problems that exist in the last release. I know due to rapid product cycle the p3 is two models old but what happened?
     
  2. flyNfrank

    Joined:
    Feb 1, 2014
    Messages:
    4,208
    Likes Received:
    906
    Location:
    Indy, USA
    Probably only see 1 more firmware release since there is a new model now.
     
  3. flyNfrank

    Joined:
    Feb 1, 2014
    Messages:
    4,208
    Likes Received:
    906
    Location:
    Indy, USA
  4. Quadcopterpilot

    Joined:
    Nov 25, 2015
    Messages:
    257
    Likes Received:
    67
    Location:
    Grimsby, Ontario, Canada
    My P3P flys great and I have no issues so far with well over 100 flights.
    It's fine just the way it is for me.


    Sent from my iPad using PhantomPilots
     
    skyhighdiver and ROD PAINTER like this.
  5. ROD PAINTER

    Joined:
    Dec 12, 2015
    Messages:
    182
    Likes Received:
    48
    Still on firmware 1.8. Over 200 flights and no issues.


    Sent from my iPhone using PhantomPilots
     
    skyhighdiver likes this.
  6. regdawg

    Joined:
    Oct 25, 2015
    Messages:
    478
    Likes Received:
    62
    Location:
    Fresno, CA
    Same here...still on 1.8. No reason to upgrade for me even though my app keeps telling me to upgrade.
     
    ROD PAINTER likes this.
  7. rstekeur

    Joined:
    Jan 27, 2014
    Messages:
    230
    Likes Received:
    40
    Location:
    Ft Myers, Florida
    I guess if it's not broke why fix it
     
    Lefty63 likes this.
  8. wooglin

    Joined:
    Dec 25, 2015
    Messages:
    133
    Likes Received:
    29
    I am on 1.9.6 and it stinks. Not much direction to downgrade except to 1.8.8.

    I don't think it is any better than 1.9.6, both seem to reduce range and video performance.